import adapter from '@sveltejs/adapter-static';


/** @type {import('@sveltejs/kit').Config} */
const config = {
	kit: {
		// adapter-auto only supports some environments, see https://kit.svelte.dev/docs/adapter-auto for a list.
		// If your environment is not supported, or you settled on a specific environment, switch out the adapter.
		// See https://kit.svelte.dev/docs/adapters for more information about adapters.
		files: {
			appTemplate: "web/app.html" ,
			routes: "web/routes",
			lib: "web/lib",
			assets: "public/lib"
		},
		alias: {
			$image: "web/assets/image",
			$svg: "web/assets/svg"
		},
		paths: {
			assets: process.env.ASSETS_HOST ?? ''
		},
		version: {
			name: `v-${Date.now()}`,
			pollInterval: 1000 * 60 * 1 // 5 minutes
		},
		adapter: adapter({
			pages: "web/public/build",
			assets: "web/public/build",
			fallback: 'fallback.html',
			strict: true
		})
	}
};

export default config;
